/**
 *  index
 *
 *  - home view
 *  - logout user
 *
 *
 *  @author Björn Hase, me@herr-hase.wtf
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/HerrHase/super-hog
 *
 */

export default async function(fastify, opts)
{
    /**
     *  home
     *
     *  @param  {object} request
     *  @param  {object} response
     *
     */
    fastify.get('/', (request, response) =>
    {
        response.view('../frontend/views/index')
    })

    /**
     *  logout
     *
     *  @param  {object} request
     *  @param  {object} response
     *
     */
    fastify.get('/logout', async function(request, response)
    {
        request.destroySession(() => {
            response.redirect('/')
        })
    })
}